TWISTD(1)

NAME
twistd - run twisted.internet.main.Application pickles

SYNOPSIS
twistd [options]

DESCRIPTION
Read an twisted.internet.main.Application out of a file and runs it.

-n, --nodaemon
    Don't daemonize (stay in foreground)

-q, --quiet
    be a little more quiet

-p, --profile
    Run profiler

-b, --debug
    Run the application in the Python Debugger. (implies nodaemon)

-o, --no_save
    Do not save shutdown state

-l, --logfile <logfile>
    Log to a specified file, - for stdout (default twistd.log). The log file will be rotated on SIGUSR1.

--pidfile <pidfile>
    Save pid in specified file (default twistd.pid)

-d, --rundir <directory>
    change to a supplied directory before running (default .)

-f, --file <tap file>
    Read the given .tap file (default twistd.tap)

-y, --python <python file>
    Use the variable "application" from the given Python file. This setting, if given, overrides -f.

-g, --plugin <plugin name>
    Read config.tac from a plugin package, as with -y.

AUTHOR
Written by Moshe Zadka, based on twistd's help messages

REPORTING BUGS
Report bugs to <twisted-python@twistedmatrix.com>.

COPYRIGHT
Copyright © 2000 Matthew W. Lefkowitz
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
mktap(1)